CppUnit project page | FAQ

Public Types | Static Public Member Functions | List of all members
StringTools Struct Reference

Tool functions to manipulate string. More...

`#include <StringTools.h>`

## Public Types
typedef std::vector< std::string > | Strings

## Static Public Member Functions
static std::string CPPUNIT_API | toString (int value)
static std::string CPPUNIT_API | toString (double value)
static Strings CPPUNIT_API | split (const std::string &text, char separator)
static std::string CPPUNIT_API | wrap (const std::string &text, int wrapColumn=CPPUNIT_WRAP_COLUMN)

## Detailed Description

Tool functions to manipulate string.

## Member Typedef Documentation

## ◆ Strings

typedef std::vector<std::string> StringTools::Strings

## Member Function Documentation

## ◆ split()

StringTools::Strings StringTools::split | ( | const std::string & | text,
|  | char | separator )
| static

## ◆ toString() [1/2]

std::string StringTools::toString | ( | double | value | ) |
| static

## ◆ toString() [2/2]

CPPUNIT_NS_BEGIN std::string StringTools::toString | ( | int | value | ) |
| static

## ◆ wrap()

std::string StringTools::wrap | ( | const std::string & | text,
|  | int | wrapColumn = CPPUNIT_WRAP_COLUMN )
| static

The documentation for this struct was generated from the following files:

- StringTools.h
- StringTools.cpp

| Send comments to: CppUnit Developers